import { Component, ViewChild, OnInit } from '@angular/core';
import { IgxGridComponent } from "igniteui-angular";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  @ViewChild("grid1", { read: IgxGridComponent, static: true })
  public grid1: IgxGridComponent;

  public data: any[] = [
    {
        ID: "ALFKI",
        CompanyName: "Alfreds Futterkiste",
        ContactName: "Maria Anders",
        ContactTitle: "Sales Representative",
        Address: "Obere Str. 57",
        City: "Berlin",
        Region: null,
        PostalCode: "12209",
        Country: "Germany",
        Phone: "030-0074321",
        Fax: "030-0076545"
    }, {
        ID: "ANATR",
        CompanyName: "Ana Trujillo Emparedados y helados",
        ContactName: "Ana Trujillo",
        ContactTitle: "Owner",
        Address: "Avda. de la Constitución 2222",
        City: "México D.F.",
        Region: null,
        PostalCode: "05021",
        Country: "Mexico",
        Phone: "(5) 555-4729",
        Fax: "(5) 555-3745"
    }, {
        ID: "ANTON",
        CompanyName: "Antonio Moreno Taquería",
        ContactName: "Antonio Moreno",
        ContactTitle: "Owner",
        Address: "Mataderos 2312",
        City: "México D.F.",
        Region: null,
        PostalCode: "05023",
        Country: "Mexico",
        Phone: "(5) 555-3932",
        Fax: "(5) 555-3745"
    }, {
        ID: "AROUT",
        CompanyName: "Around the Horn",
        ContactName: "Thomas Hardy",
        ContactTitle: "Sales Representative",
        Address: "120 Hanover Sq.",
        City: "London",
        Region: null,
        PostalCode: "WA1 1DP",
        Country: "UK",
        Phone: "(171) 555-7788",
        Fax: "(171) 555-6750"
    }, {
        ID: "BERGS",
        CompanyName: "Berglunds snabbköp",
        ContactName: "Christina Berglund",
        ContactTitle: "Order Administrator",
        Address: "Berguvsvägen 8",
        City: "Luleå",
        Region: null,
        PostalCode: "S-958 22",
        Country: "Sweden",
        Phone: "0921-12 34 65",
        Fax: "0921-12 34 67"
    }, {
        ID: "BLAUS",
        CompanyName: "Blauer See Delikatessen",
        ContactName: "Hanna Moos",
        ContactTitle: "Sales Representative",
        Address: "Forsterstr. 57",
        City: "Mannheim",
        Region: null,
        PostalCode: "68306",
        Country: "Germany",
        Phone: "0621-08460",
        Fax: "0621-08924"
    }, {
        ID: "BLONP",
        CompanyName: "Blondesddsl père et fils",
        ContactName: "Frédérique Citeaux",
        ContactTitle: "Marketing Manager",
        Address: "24, place Kléber",
        City: "Strasbourg",
        Region: null,
        PostalCode: "67000",
        Country: "France",
        Phone: "88.60.15.31",
        Fax: "88.60.15.32"
    }
];
  constructor() {
  }
  public ngOnInit(): void {
  }

  public onResize(event) {
      this.grid1.endEdit(true);
  }
}
